<?php
/**
 * Roofers Theme Customizer
 *
 * @package Roofers
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function roofers_customize_register( $wp_customize ) {
	$roofers_cat_list = roofers_Category_list();
	
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	
	//___ start top bar setting___//
    $wp_customize->add_section(
        'top_bar_setting',
        array(
            'title'     => __('Top Bar Settings', 'roofers'),
			'priority'  => 21,
        )
    );
	$wp_customize->add_setting("topbar_on_off", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"topbar_on_off",
			array(
			'type' => 'radio',
			'label' => __("Top Bar On/Off", "roofers"),
			'description' => __( 'On and off setting for top bar section', 'roofers' ),  
			'section' => 'top_bar_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));	
	//Topbar facebook
    $wp_customize->add_setting(
        'topbar_facebook',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'topbar_facebook',
        array(
            'label'    => __( 'Facebook Link', 'roofers' ),
            'section'  => 'top_bar_setting',
            'type'     => 'text',   
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.facebook.com', 'roofers' ),    			
  			),      			
        )
    );
	//Topbar twitter
    $wp_customize->add_setting(
        'topbar_twitter',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'topbar_twitter',
        array(
            'label'         => __( 'Twitter Link', 'roofers' ),
            'section'       => 'top_bar_setting',
            'type'          => 'text',   
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.twitter.com', 'roofers' ),    			
  			),    			
        )
    );
	//Topbar google
    $wp_customize->add_setting(
        'topbar_google',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'topbar_google',
        array(
            'label'         => __( 'Google+ Link', 'roofers' ),
            'section'       => 'top_bar_setting',
            'type'          => 'text',    
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.googleplus.com', 'roofers' ),    			
  			),    	
        )
    );
	//Topbar linkedin
    $wp_customize->add_setting(
        'topbar_linkedin',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'topbar_linkedin',
        array(
            'label'         => __( 'Linkedin Link', 'roofers' ),
            'section'       => 'top_bar_setting',
            'type'          => 'text',   
				'input_attrs' => array(    			
    			'placeholder' => __( 'www.linkedin.com', 'roofers' ),    			
  			),    	
        )
    );
	//Topbar pinterest
    $wp_customize->add_setting(
        'topbar_pinterest',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'topbar_pinterest',
        array(
            'label'         => __( 'Pinterest Link', 'roofers' ),
            'section'       => 'top_bar_setting',
            'type'          => 'text',    
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.pinterest.com', 'roofers' ),    			
  			),    	
        )
    );
	//Topbar youtube
    $wp_customize->add_setting(
        'topbar_youtube',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'topbar_youtube',
        array(
            'label'         => __( 'Youtube Link', 'roofers' ),
            'section'       => 'top_bar_setting',
            'type'          => 'text',   
				'input_attrs' => array(    			
    			'placeholder' => __( 'www.youtube.com', 'roofers' ),    			
  			),    	
        )
    );
	//Contact number	
    $wp_customize->add_setting(
        'topbar_contactnumber1',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'topbar_contactnumber1',
        array(
            'label'         => __( 'contact Number', 'roofers' ),
			'description' => __( 'Provide phone number to be displayed on top bar section.', 'roofers' ), 
            'section'       => 'top_bar_setting',
            'type'          => 'text',
				'input_attrs' => array(    			
    			'placeholder' => __( 'your contact number', 'roofers' ),    			
  			),    	
        )
    );
	//Mail	
    $wp_customize->add_setting(
        'topbar_mail',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'topbar_mail',
        array(
            'label'         => __( 'Email address', 'roofers' ),
			'description' => __( 'Provide email address to be displayed on top bar section.', 'roofers' ),  
            'section'       => 'top_bar_setting',
            'type'          => 'text',  
				'input_attrs' => array(    			
    			'placeholder' => __( 'your email address', 'roofers' ),    			
  			),    	
        )
    );
	//___ add a panel home page setting ___//
	$wp_customize->add_panel( 'Home_page_Setting', array(
		 'priority' => 22,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Front Page Settings', 'roofers' ),
	    'description' => __( 'This panel will add the settings of home page i.e. baner,teams,work,clients ,portfolio image and contact info etc.', 'roofers' ),
	) );
	//___ start Slider setting___//
    $wp_customize->add_section(
        'slider_setting',
        array(
            'title'     => __('Slider Setting', 'roofers'),
		'priority'  => 10,
		'panel'	=> 'Home_page_Setting',
        )
    );
	$wp_customize->add_setting("slider_switch", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"slider_switch",
			array(
			'type' => 'radio',
			 'priority' => 1,
			'label' => __("Slider On/Off", "roofers"),
			'description' => __( 'On and Off setting for Slider section', 'roofers' ),  
			'section' => 'slider_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));
	//Slider Background Image
    $wp_customize->add_setting(
        'slider_bg_image',
        array(
            'default' => '',
			 'priority' => 2,
            "transport" => "refresh",
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'slider_bg_image',array(
		'label'		=>	__("Background Image","roofers"),
		'description'   => __('Add background image to display in homepage slider.', 'roofers'),
        	'section'           => 'slider_setting',
        	'settings'          => 'slider_bg_image',    
				))     
    );
	 //slider category
     	$wp_customize->add_setting(
		'roofers_slider_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_slider_cat',
		array(
        'label' => esc_html__('Slider Category','roofers'),
        'priority' => 3,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'slider_setting'
		)
	);
	//___ start Welcome setting___//
    $wp_customize->add_section(
        'welcome_setting',
        array(
            'title'     => __('Welcome Setting', 'roofers'),
		'priority'  => 20,
		'panel'	=> 'Home_page_Setting',
        )
    );
	$wp_customize->add_setting("welcome_switch", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"welcome_switch",
			array(
			'type' => 'radio',
			 'priority' => 1,
			'label' => __("Welcome On/Off", "roofers"),
			'description' => __( 'On and Off setting for welcome section', 'roofers' ),  
			'section' => 'welcome_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));
	//Welcome Image
    $wp_customize->add_setting(
        'welcome_image',
        array(
            'default' => '',
            "transport" => "refresh",
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'welcome_image',array(
		'label'		=>	__("Welcome Image","roofers"),
		 'priority' => 2,
		'description'   => __('Add welocme image to be displayed in welcome Section.', 'roofers'),
        	'section'           => 'welcome_setting',
        	'settings'          => 'welcome_image',    
				))     
    );
	//Welcome Title
     		$wp_customize->add_setting(
        'welcome_heading',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'welcome_heading',
        array(
            'label'         => __( 'Welcome Main Heading', 'roofers' ),
			 'priority' => 3,
			'description' => __( 'Provide main heading of your welcome section.', 'roofers' ),  
            'section'       => 'welcome_setting',
            'type'          => 'text',    
        )
    );
	//Welcome Description
     		$wp_customize->add_setting(
        'welcome_description',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'welcome_description',
        array(
            'label'         => __( 'Welcome Description', 'roofers' ),
			 'priority' => 4,
			'description' => __( 'Provide short description about your welcome section.', 'roofers' ),  
            'section'       => 'welcome_setting',
            'type'          => 'textarea',    
        )
    );
	 //welcome category
     	$wp_customize->add_setting(
		'roofers_welcome_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_welcome_cat',
		array(
        'label' => esc_html__('Welcome Category','roofers'),
        'priority' => 5,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'welcome_setting'
		)
	);
	//___ start Services setting___//
    $wp_customize->add_section(
        'services_setting',
        array(
            'title'     => __('Services Setting', 'roofers'),
		'priority'  => 30,
		'panel'	=> 'Home_page_Setting',
        )
    );
	$wp_customize->add_setting("services_switch", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"services_switch",
			array(
			'type' => 'radio',
			 'priority' => 1,
			'label' => __("Services On/Off", "roofers"),
			'description' => __( 'On and Off setting for services section', 'roofers' ),  
			'section' => 'services_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));
	//services Title
     		$wp_customize->add_setting(
        'services_heading',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'services_heading',
        array(
            'label'         => __( 'Services Main Heading', 'roofers' ),
			 'priority' => 2,
			'description' => __( 'Provide main heading of your services section.', 'roofers' ),  
            'section'       => 'services_setting',
            'type'          => 'text',    
        )
    );
	//Services Description
     		$wp_customize->add_setting(
        'services_description',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'services_description',
        array(
            'label'         => __( 'Services Description', 'roofers' ),
			 'priority' => 3,
			'description' => __( 'Provide short description about your services section.', 'roofers' ),  
            'section'       => 'services_setting',
            'type'          => 'textarea',    
        )
    );
	 //services category
     	$wp_customize->add_setting(
		'roofers_services_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_services_cat',
		array(
        'label' => esc_html__('Services Category','roofers'),
        'priority' => 4,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'services_setting'
		)
	);
	//___ start Quote setting___//
    $wp_customize->add_section(
        'quote_setting',
        array(
            'title'     => __('Quote Setting', 'roofers'),
		'priority'  => 40,
		'panel'	=> 'Home_page_Setting',
        )
    );
	$wp_customize->add_setting("quote_switch", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"quote_switch",
			array(
			'type' => 'radio',
			 'priority' => 1,
			'label' => __("Quote On/Off", "roofers"),
			'description' => __( 'On and off setting for Quote section', 'roofers' ),  
			'section' => 'quote_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));
	
	//Quote Heading
     		$wp_customize->add_setting(
        'quote_heading',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'quote_heading',
        array(
            'label'         => __( 'Quote Main Heading', 'roofers' ),
			 'priority' => 2,
			'description' => __( 'Provide main heading for your quote section.', 'roofers' ),  
            'section'       => 'quote_setting',
            'type'          => 'text',    
        )
    );
	 //quote category
     	$wp_customize->add_setting(
		'roofers_quote_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_quote_cat',
		array(
        'label' => esc_html__('Quote Category','roofers'),
        'priority' => 3,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'quote_setting'
		)
	);
	//___ start Team setting___//
    $wp_customize->add_section(
        'team_setting',
        array(
            'title'     => __('Team Setting', 'roofers'),
		'priority'  => 50,
		'panel'	=> 'Home_page_Setting',
        )
    );
	$wp_customize->add_setting("team_switch", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"team_switch",
			array(
			'type' => 'radio',
			  'priority' => 1,
			'label' => __("Team On/Off", "roofers"),
			'description' => __( 'On and Off setting for team section', 'roofers' ),  
			'section' => 'team_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));
	//Team Heading
     		$wp_customize->add_setting(
        'team_heading',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'team_heading',
        array(
            'label'         => __( 'Team Main Heading', 'roofers' ),
			  'priority' => 2,
			'description' => __( 'Provide main heading of your team section.', 'roofers' ),  
            'section'       => 'team_setting',
            'type'          => 'text',    
        )
    );
	//Team Description
     		$wp_customize->add_setting(
        'team_description',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'team_description',
        array(
            'label'         => __( 'Team Description', 'roofers' ),
			  'priority' => 3,
			'description' => __( 'Provide short description about your team section.', 'roofers' ),  
            'section'       => 'team_setting',
            'type'          => 'textarea',    
        )
    );
	//team category
     	$wp_customize->add_setting(
		'roofers_team_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_team_cat',
		array(
        'label' => esc_html__('Team Category','roofers'),
        'priority' => 4,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'team_setting'
		)
	);
	//___ start Recent Project setting___//
    $wp_customize->add_section(
        'project_setting',
        array(
            'title'     => __('Recent Project Setting', 'roofers'),
		'priority'  => 60,
		'panel'	=> 'Home_page_Setting',
        )
    );
	$wp_customize->add_setting("project_switch", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"project_switch",
			array(
			'type' => 'radio',
			 'priority' => 1,
			'label' => __("Recent Project On/Off", "roofers"),
			'description' => __( 'On and Off setting for recent project section', 'roofers' ),  
			'section' => 'project_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));
	//Project Heading
     		$wp_customize->add_setting(
        'project_heading',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'project_heading',
        array(
            'label'         => __( 'Recent Project Main Heading', 'roofers' ),
			 'priority' => 2,
			'description' => __( 'Provide main heading of your recent project section.', 'roofers' ),  
            'section'       => 'project_setting',
            'type'          => 'text',    
        )
    );
	//Project Description
     		$wp_customize->add_setting(
        'project_description',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'project_description',
        array(
            'label'         => __( 'Recent Project Description', 'roofers' ),
			 'priority' => 3,
			'description' => __( 'Provide short description about your recent project section.', 'roofers' ),  
            'section'       => 'project_setting',
            'type'          => 'textarea',    
        )
    );
	//project category
     	$wp_customize->add_setting(
		'roofers_project_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_project_cat',
		array(
        'label' => esc_html__('Project Category','roofers'),
        'priority' => 4,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'project_setting'
		)
	);
	//___ start Client setting___//
    $wp_customize->add_section(
        'client_setting',
        array(
            'title'     => __('Client Feedback Setting', 'roofers'),
		'priority'  => 70,
		'panel'	=> 'Home_page_Setting',
        )
    );
	$wp_customize->add_setting("client_switch", array(
			"default" => 'off',
			"transport" => "refresh",
			'sanitize_callback' => 'roofers_radio_sanitize_row',
		));
		$wp_customize->add_control(new WP_Customize_Control(
			$wp_customize,
			"client_switch",
			array(
			'type' => 'radio',
			 'priority' => 1,
			'label' => __("Client Feedback On/Off", "roofers"),
			'description' => __( 'On and Off setting for client feedback section', 'roofers' ),  
			'section' => 'client_setting',
			'choices' => array(
				'on' => __('On', 'roofers'),
				'off' => __('Off', 'roofers'),
			),
		)
	));
	//Client Background Image
    $wp_customize->add_setting(
        'client_bg_image',
        array(
            'default' => '',
            "transport" => "refresh",
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'client_bg_image',array(
		'label'		=>	__("Background Image","roofers"),
		 'priority' => 2,
		'description'   => __('Add background image for client feedback section.', 'roofers'),
        	'section'           => 'client_setting',
        	'settings'          => 'client_bg_image',    
				))     
    );
	//Client category
     	$wp_customize->add_setting(
		'roofers_client_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_client_cat',
		array(
        'label' => esc_html__('Client Category','roofers'),
        'priority' => 3,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'client_setting'
		)
	);
	//___ start Contact setting___//
    $wp_customize->add_section(
        'contact_setting',
        array(
            'title'     => __('Contact Setting', 'roofers'),
		'priority'  => 80,
		'panel'	=> 'Home_page_Setting',
        )
    );
	//Contact Text
     		$wp_customize->add_setting(
        'contact_text',
        array(
            'default' => ' ',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'contact_text',
        array(
            'label'         => __( 'Contact Text', 'roofers' ),
			'description' => __( 'Write something which you want  to  dispaly on contact section', 'roofers' ),  
            'section'       => 'contact_setting',
            'type'          => 'text',     
        )
    );
	//Contact no.
     		$wp_customize->add_setting(
        'contact_no',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'contact_no',
        array(
            'label'         => __( 'Contact Number', 'roofers' ),
			'description' => __( 'Provide contact number to be dispalyed on contact section', 'roofers' ),  
            'section'       => 'contact_setting',
            'type'          => 'text', 
			'input_attrs' => array(    			
    			'placeholder' => __( 'Your Contact Number', 'roofers' ),    			
  			), 			
        )
    );
	//___ start Contact Details setting___//
    $wp_customize->add_section(
        'contact_details_setting',
        array(
            'title'     => __('Contact Details Setting', 'roofers'),
		'priority'  => 90,
		'panel'	=> 'Home_page_Setting',
        )
    );
		//Contact Heading
     		$wp_customize->add_setting(
        'contact_heading',
        array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'contact_heading',
        array(
            'label'         => __( 'Contact Details Heading', 'roofers' ),
			'priority' => 1,
			'description' => __( 'Provide heading of your contact details section.', 'roofers' ),  
            'section'       => 'contact_details_setting',
            'type'          => 'text',    
        )
    );
	//Contact Description
     		$wp_customize->add_setting(
        'contact_description',
        array(
            'default' => ' ',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );
    $wp_customize->add_control(
        'contact_description',
        array(
            'label'         => __( 'Contact Description', 'roofers' ),
			'priority' => 2,
			'description' => __( 'Provide short description which you want  to  dispaly on contact details section', 'roofers' ),  
            'section'       => 'contact_details_setting',
            'type'          => 'text',    
        )
    );
	//contact category
     	$wp_customize->add_setting(
		'roofers_contact_cat',
		array(
        'default' => '',
        'sanitize_callback' => 'roofers_sanitize_post_cat_list',
		)
	);
		$wp_customize->add_control(
		'roofers_contact_cat',
		array(
        'label' => esc_html__('Contact Category','roofers'),
        'priority' => 3,
        'type' => 'select',
        'choices' => $roofers_cat_list,
        'section' => 'contact_details_setting'
		)
	);
	
	//Sidebar Position
	$wp_customize->add_section(
        'sidebar_position',
        array(
            'title'         => __('Sidebar Position', 'roofers'),
            'priority'      => 20,
        )
    );
	$wp_customize->add_setting(
        'sidebar_layout',
        array(
            'default'           => 'right',
			'transport' => 'refresh',
			'sanitize_callback' => 'roofers_sanitize_layout',
        )
    );
    $wp_customize->add_control(
        'sidebar_layout',
        array(
            'type'      => 'radio',
            'label'     => __('Theme Sidebar Position', 'roofers'),
            'section'   => 'sidebar_position',
			'description'   => __('This option work for blog page, blog single page, archive page and search page.', 'roofers'),      
            'choices'   => array(
                'full'           => __( 'Full', 'roofers' ),
                'left'         => __( 'Left', 'roofers' ),
                'right'    => __( 'Right', 'roofers' )
            ),
        )
    ); 
	$wp_customize->add_setting(
        'page_sidebar_layout',
        array(
            'default'           => 'right',
			'transport' => 'refresh',
			'sanitize_callback' => 'roofers_sanitize_layout',
        )
    );
    $wp_customize->add_control(
        'page_sidebar_layout',
        array(
            'type'      => 'radio',
            'label'     => __('Page Sidebar Position', 'roofers'),
            'section'   => 'sidebar_position',
            'priority'  => 11,
			'description'   => __('This option work for pages.', 'roofers'), 
            'choices'   => array(
                'full'           => __( 'Full', 'roofers' ),
                'left'         => __( 'Left', 'roofers' ),
                'right'    => __( 'Right', 'roofers' )
            ),
        )
    ); 
	
	//___ footer setting ___//
    $wp_customize->add_section(
        'roofers_footer_setting',
        array(
            'title'         => __('Footer Settings', 'roofers'),
            'priority'      => 26,
        )
    );
	//footer facebook
    $wp_customize->add_setting(
        'footer_facebook',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'footer_facebook',
        array(
            'label'    => __( 'Facebook Link', 'roofers' ),
            'section'  => 'roofers_footer_setting',
            'type'     => 'text',    
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.facebook.com', 'roofers' ),    			
  			),     
        )
    );
	//footer twitter
    $wp_customize->add_setting(
        'footer_twitter',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'footer_twitter',
        array(
            'label'         => __( 'Twitter Link', 'roofers' ),
            'section'       => 'roofers_footer_setting',
            'type'          => 'text',   
				'input_attrs' => array(    			
    			'placeholder' => __( 'www.twitter.com', 'roofers' ),    			
  			),     
        )
    );
	//footer google
    $wp_customize->add_setting(
        'footer_google',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'footer_google',
        array(
            'label'         => __( 'Google+ Link', 'roofers' ),
            'section'       => 'roofers_footer_setting',
            'type'          => 'text',  
				'input_attrs' => array(    			
    			'placeholder' => __( 'www.googleplus.com', 'roofers' ),    			
  			),     
        )
    );
	//footer linkedin
    $wp_customize->add_setting(
        'footer_linkedin',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'footer_linkedin',
        array(
            'label'         => __( 'Linkedin Link', 'roofers' ),
            'section'       => 'roofers_footer_setting',
            'type'          => 'text',    
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.linkedin.com', 'roofers' ),    			
  			),     
        )
    );
	//footer pinterest
    $wp_customize->add_setting(
        'footer_pinterest',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'footer_pinterest',
        array(
            'label'         => __( 'Pinterest Link', 'roofers' ),
            'section'       => 'roofers_footer_setting',
            'type'          => 'text', 
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.pinterest.com', 'roofers' ),    			
  			),     			
        )
    );
	//Topbar youtube
    $wp_customize->add_setting(
        'footer_youtube',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control(
        'footer_youtube',
        array(
            'label'         => __( 'Youtube Link', 'roofers' ),
            'section'       => 'roofers_footer_setting',
            'type'          => 'text',    
			'input_attrs' => array(    			
    			'placeholder' => __( 'www.youtube.com', 'roofers' ),    			
  			),     
        )
    );
	
}
add_action( 'customize_register', 'roofers_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function roofers_customize_preview_js() {
	wp_enqueue_script( 'roofers_customizer', get_template_directory_uri() . '/assets/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'roofers_customize_preview_js' );

/**
 * Sanitize Functions
 */

/** Customizer Textarea Sanitize **/
function roofers_sanitize_textarea($input){
    return wp_kses_post(force_balance_tags($input));
}

/** Customizer Category List Sanitize **/
function roofers_sanitize_post_cat_list($input){
    $roofers_cat_list = roofers_Category_list();
    if(array_key_exists($input,$roofers_cat_list)){
        return $input;
    }
    else{
        return '';
    }
}

function roofers_radio_sanitize_row($input) {
  $valid_keys = array(
		'on' => 'On',
		'off' => 'Off',
  );
  if ( array_key_exists( $input, $valid_keys ) ) {
	 return $input;
  } else {
	 return '';
  }
}
function roofers_sanitize_layout( $value ) {
    if ( ! in_array( $value, array( 'full', 'left', 'right' ) ) )
        $value = 'right';
 
    return $value;
}
